Subject: Governor King sends regards
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 20 Sep 2000 09:12:00 -0700 (PDT)

I recently met with Maine Governor, Angus King.  He recalled fondly our 
meeting with him two years ago and asked me to extend to you his best regards.

Governor King was pleased to hear that EES is now serving at retail 25% of 
the entire electric load in his state.  George Wood of ENA, who arranged the 
meeting, also informed the Governor that ENA is interested in responding to a 
forthcoming RFP for supply of service to Maine customers who do not choose a 
supplier.

Just thought you might like to know.

     Dan Allegretti
     Government Affairs